Ignora e passa al contenuto principale

Questo browser non è più supportato.

Esegui l'aggiornamento a Microsoft Edge per sfruttare i vantaggi di funzionalità più recenti, aggiornamenti della sicurezza e supporto tecnico.

Scarica Microsoft Edge Scopri di più su Internet Explorer e Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Threads, Assistants

Create a message

POST /openai/v1/threads/{thread_id}/messages

Creates a message from the supplied request.

Parametri del percorso

thread_id string necessario

The ID of the thread to create a message for.

Corpo della richiesta

The request body.

Content-Type: application/json
role enum necessario

The role of the entity that is creating the message. Allowed values include: - user: Indicates the message is sent by an actual user and should be used in most cases to represent user-generated messages. - assistant: Indicates the message is generated by the assistant. Use this value to insert messages from the assistant into the conversation.

userassistant
content string | (OpenAI.MessageContentImageFileObject | OpenAI.MessageContentImageUrlObject | OpenAI.MessageRequestContentTextObject)[] necessario
Uno dei seguenti:
string
(OpenAI.MessageContentImageFileObject | OpenAI.MessageContentImageUrlObject | OpenAI.MessageRequestContentTextObject)[]
attachments OpenAI.CreateMessageRequestAttachments[] | null
metadata OpenAI.Metadata | null

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string

Risposte

The request has succeeded.

Corpo

Content-Type: application/json
id string necessario

The identifier, which can be referenced in API endpoints.

object enum necessario

The object type, which is always thread.message.

thread.message
created_at integer necessario

The Unix timestamp (in seconds) for when the message was created.

thread_id string necessario

The thread ID that this message belongs to.

status enum necessario

The status of the message, which can be either in_progress, incomplete, or completed.

in_progressincompletecompleted
incomplete_details OpenAI.MessageObjectIncompleteDetails | null necessario
reason enum necessario
content_filtermax_tokensrun_cancelledrun_expiredrun_failed
completed_at integer | null necessario
incomplete_at integer | null necessario
role enum necessario

The entity that produced the message. One of user or assistant.

userassistant
content OpenAI.MessageObjectContent[] necessario

The content of the message in array of text and/or images.

assistant_id string | null necessario
run_id string | null necessario
attachments OpenAI.MessageObjectAttachments[] | null necessario
metadata OpenAI.Metadata | null necessario

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string

Client error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Richiedi

curl https://api.openai.com/v1/threads/thread_abc123/messages \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -d '{
      "role": "user",
      "content": "How does AI work? Explain it in simple terms."
    }'
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
message = client.beta.threads.messages.create(
    thread_id="thread_id",
    content="string",
    role="user",
)
print(message.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const threadMessages = await openai.beta.threads.messages.create(
    "thread_abc123",
    { role: "user", content: "How does AI work? Explain it in simple terms." }
  );

  console.log(threadMessages);
}

main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const message = await client.beta.threads.messages.create('thread_id', {
  content: 'string',
  role: 'user',
});

console.log(message.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    message, err := client.Beta.Threads.Messages.New(
        context.TODO(),
        "thread_id",
        openai.BetaThreadMessageNewParams{
            Content: openai.BetaThreadMessageNewParamsContentUnion{
                OfString: openai.String("string"),
            },
            Role: openai.BetaThreadMessageNewParamsRoleUser,
        },
    )
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", message.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.threads.messages.Message;
import com.openai.models.beta.threads.messages.MessageCreateParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        MessageCreateParams params = MessageCreateParams.builder()
            .threadId("thread_id")
            .content("string")
            .role(MessageCreateParams.Role.USER)
            .build();
        Message message = client.beta().threads().messages().create(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

message = openai.beta.threads.messages.create("thread_id", content: "string", role: :user)

puts(message)

Response

{
  "id": "msg_abc123",
  "object": "thread.message",
  "created_at": 1713226573,
  "assistant_id": null,
  "thread_id": "thread_abc123",
  "run_id": null,
  "role": "user",
  "content": [
    {
      "type": "text",
      "text": {
        "value": "How does AI work? Explain it in simple terms.",
        "annotations": []
      }
    }
  ],
  "attachments": [],
  "metadata": {}
}
it-it
Scelte sulla privacy
  • Dichiarazione di non responsabilità relativa all'intelligenza artificiale
  • Versioni precedenti
  • Blog
  • Collabora
  • Riservatezza
  • Privacy dei dati sanitari dei consumatori
  • Condizioni per l'utilizzo
  • Accessibilità
  • Marchi
  • © Microsoft 2026